<?php
if ( !defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly
global $bplock;
$bp_components = array(
	'members'	 => __( 'Members', BPLOCK_TEXT_DOMAIN ),
	'groups'	 => __( 'Groups', BPLOCK_TEXT_DOMAIN ),
	'activity'	 => __( 'Site Wide Activity', BPLOCK_TEXT_DOMAIN )
);

if ( BPLOCK_IS_MULTISITE && BPLOCK_IS_BP_NETWORK_ACTIVE ) {
	$bp_components[ 'blogs' ] = __( 'Blogs (Sites)', BPLOCK_TEXT_DOMAIN );
}
?>
<form action="" method="POST">
	<div class="wrap">
		<h3><?php _e( 'BuddyPress Components Settings', BPLOCK_TEXT_DOMAIN ); ?></h3>
		<div class='bplock-bp-components-settings-container'>
			<table class="form-table">
				<tbody>
					<!-- BuddyPress COMPONENTS LIST -->
					<tr>
						<th scope="row"><label for="bplock-bp-components-list"><?php _e( 'BuddyPress Components', BPLOCK_TEXT_DOMAIN ); ?></label></th>
						<td>
							<select id="bplock-bp-components-list" name="bplock-bp-components-list[]" multiple>
								<?php if ( !empty( $bp_components ) ) { ?>
									<?php foreach ( $bp_components as $slug => $bp_component ) { ?>
										<?php $selected = (!empty( $bplock->locked_bp_components ) && in_array( $slug, $bplock->locked_bp_components ) ) ? 'selected' : ''; ?>
										<option value="<?php echo $slug; ?>" <?php echo $selected; ?>><?php echo $bp_component; ?></option>
									<?php } ?>
								<?php } ?>
							</select>
							<p class="description"><?php _e( 'Select the buddypress components that you wish to restrict access for logged out users.', BPLOCK_TEXT_DOMAIN ); ?></p>
						</td>
					</tr>
				</tbody>
			</table>
			<p class="submit">
				<?php wp_nonce_field( 'bplock-bp-components', 'bplock-bp-components-settings-nonce' ); ?>
				<input type="submit" name="bplock-bp-components-settings-submit" class="button button-primary" value="<?php _e( 'Save Changes', BPLOCK_TEXT_DOMAIN ); ?>">
			</p>
		</div>
	</div>
</form>
