<?php
if ( !defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly
global $bplock;
$args	 = array( 'public' => true, '_builtin' => false, 'exclude_from_search' => false );
$cpts	 = get_post_types( $args, 'objects' );
?>
<form action="" method="POST">
	<div class="wrap">
		<h3><?php _e( 'Custom Post Types Lock Settings', BPLOCK_TEXT_DOMAIN ); ?></h3>
		<div class='bplock-cpt-settings-container'>
			<table class="form-table">
				<tbody>
					<!-- CPT LIST -->
					<tr>
						<th scope="row"><label for="bplock-cpt-list"><?php _e( 'Custom Post Types', BPLOCK_TEXT_DOMAIN ); ?></label></th>
						<td>
							<select id="bplock-cpt-list" name="bplock-cpt-list[]" multiple>
								<?php if ( !empty( $cpts ) ) { ?>
									<?php foreach ( $cpts as $slug => $cpt ) { ?>
										<?php $selected = (!empty( $bplock->locked_cpts ) && in_array( $slug, $bplock->locked_cpts ) ) ? 'selected' : ''; ?>
										<option value="<?php echo $slug; ?>" <?php echo $selected; ?>><?php echo $cpt->label; ?></option>
									<?php } ?>
								<?php } ?>
							</select>
							<p class="description"><?php _e( 'Select the custom post types that you wish to restrict access for logged out users.', BPLOCK_TEXT_DOMAIN ); ?></p>
						</td>
					</tr>
				</tbody>
			</table>
			<p class="submit">
				<?php wp_nonce_field( 'bplock-cpt', 'bplock-cpt-settings-nonce' ); ?>
				<input type="submit" name="bplock-cpt-settings-submit" class="button button-primary" value="<?php _e( 'Save Changes', BPLOCK_TEXT_DOMAIN ); ?>">
			</p>
		</div>
	</div>
</form>
