<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $bplock;
$lock_bp_components 	= ( $bplock->lock_bp_components == 'yes' ) ? 'checked' : '';
$lock_wp_pages 			= ( $bplock->lock_wp_pages == 'yes' ) ? 'checked' : '';
$lock_cpt 				= ( $bplock->lock_cpt == 'yes' ) ? 'checked' : '';
$locked_content			= $bplock->locked_content;
?>
<form action="" method="POST">
	<div class="wrap">
		<h3><?php _e( 'General Settings', BPLOCK_TEXT_DOMAIN ); ?></h3>
		<div class='bplock-general-settings-container'>
			<table class="form-table">
				<tbody>
					<!-- LOCK BuddyPress COMPONENTS, IF BP ACTIVE -->
					<?php if( BPLOCK_IS_MULTISITE && BPLOCK_IS_BP_NETWORK_ACTIVE ) {?>
						<tr>
							<th scope="row"><label for="bplock-bp-components"><?php _e( 'Lock BuddyPress Components', BPLOCK_TEXT_DOMAIN );?></label></th>
							<td>
								<label class="switch">
									<input type="checkbox" id="bplock-bp-components" name="bplock-bp-components" <?php echo $lock_bp_components;?>>
									<span class="slider round"></span>
								</label>
								<p class="description"><?php _e( 'Switch above option on, if you want to restrict access for BuddyPress Components.', BPLOCK_TEXT_DOMAIN );?></p>
							</td>
						</tr>
					<?php } elseif( BPLOCK_IS_BP_ACTIVE ) {?>
						<tr>
							<th scope="row"><label for="bplock-bp-components"><?php _e( 'Lock BuddyPress Components', BPLOCK_TEXT_DOMAIN );?></label></th>
							<td>
								<label class="switch">
									<input type="checkbox" id="bplock-bp-components" name="bplock-bp-components" <?php echo $lock_bp_components;?>>
									<span class="slider round"></span>
								</label>
								<p class="description"><?php _e( 'Switch above option on, if you want to to restrict access BuddyPress Components.', BPLOCK_TEXT_DOMAIN );?></p>
							</td>
						</tr>
					<?php }?>

					<!-- LOCK CUSTOM POST TYPES -->
					<tr>
						<th scope="row"><label for="bplock-custom-post-types"><?php _e( 'Lock Custom Post Types', BPLOCK_TEXT_DOMAIN );?></label></th>
						<td>
							<label class="switch">
								<input type="checkbox" id="bplock-custom-post-types" name="bplock-custom-post-types" <?php echo $lock_cpt;?>>
								<span class="slider round"></span>
							</label>
							<p class="description"><?php _e( 'Switch above option on, if you want to restrict access for Custom Post Types.', BPLOCK_TEXT_DOMAIN );?></p>
						</td>
					</tr>

					<!-- LOCK PAGES -->
					<tr>
						<th scope="row"><label for="bplock-pages"><?php _e( 'Lock Pages', BPLOCK_TEXT_DOMAIN );?></label></th>
						<td>
							<label class="switch">
								<input type="checkbox" id="bplock-pages" name="bplock-pages" <?php echo $lock_wp_pages;?>>
								<span class="slider round"></span>
							</label>
							<p class="description"><?php _e( 'Switch above option on, if you want to restrict access for WordPress Pages.', BPLOCK_TEXT_DOMAIN );?></p>
						</td>
					</tr>

					<!-- DISPLAY CONTENT -->
					<tr>
						<th scope="row"><label for="bplock-display-content"><?php _e( 'Custom restriction message', BPLOCK_TEXT_DOMAIN );?></label></th>
						<td>
							<?php $options = array( 'textarea_rows' => 5 );?>
							<?php
							if ( empty( $locked_content ) ) {
			            $locked_content = apply_filters( 'bploc_default_locked_message', __( 'Hey Member! Thanks for checking this page out -- however, it’s restricted to logged members only. If you’d like to access it, please login to the website.', BPLOCK_TEXT_DOMAIN ) );
			        }
							wp_editor( $locked_content, 'bplock-locked-content', $options );?>
							<p class="description"><?php _e( 'Above message will be displayed on the protected pages.', BPLOCK_TEXT_DOMAIN );?></p>
						</td>
					</tr>

				</tbody>
			</table>
			<p class="submit">
				<?php wp_nonce_field( 'bplock-general', 'bplock-general-settings-nonce'); ?>
				<input type="submit" name="bplock-general-settings-submit" class="button button-primary" value="<?php _e('Save Changes', BPLOCK_TEXT_DOMAIN); ?>">
			</p>
		</div>
	</div>
</form>
