<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $bplock;
$pages = get_pages();
$bp_pages = '';
$wp_pages = array();
if( BPLOCK_IS_BP_ACTIVE ) {
	$bp_pages = get_option('bp-pages');
}
foreach( $pages as $page ) {
	$wp_pages[$page->ID] = $page->post_title;
}
foreach( $wp_pages as $pgid => $pg_title ) {
	if( $bp_pages && in_array( $pgid, $bp_pages ) ) {
//		unset( $wp_pages[$pgid] );
	}
}
?>
<form action="" method="POST">
	<div class="wrap">
		<h3><?php _e( 'Pages Lock Settings', BPLOCK_TEXT_DOMAIN ); ?></h3>
		<div class='bplock-pages-settings-container'>
			<table class="form-table">
				<tbody>
					<!-- PAGES LIST -->
					<tr>
						<th scope="row"><label for="bplock-pages-list"><?php _e( 'WordPress Pages', BPLOCK_TEXT_DOMAIN );?></label></th>
						<td>
							<select id="bplock-pages-list" name="bplock-pages-list[]" multiple>
								<?php if ( !empty( $wp_pages ) ) {?>
									<?php foreach ( $wp_pages as $pgid => $wp_page ) {?>
										<?php $selected = ( !empty( $bplock->locked_pages ) && in_array( $pgid, $bplock->locked_pages ) ) ? 'selected': '';?>
										<option value="<?php echo $pgid;?>" <?php echo $selected;?>><?php echo $wp_page; ?></option>
									<?php }?>
								<?php }?>
							</select>
							<p class="description"><?php _e( 'Select the wordpress pages that you wish to get locked for loggedout users.', BPLOCK_TEXT_DOMAIN );?></p>
						</td>
					</tr>
				</tbody>
			</table>
			<p class="submit">
				<?php wp_nonce_field( 'bplock-pages', 'bplock-pages-settings-nonce'); ?>
				<input type="submit" name="bplock-pages-settings-submit" class="button button-primary" value="<?php _e('Save Changes', BPLOCK_TEXT_DOMAIN); ?>">
			</p>
		</div>
	</div>
</form>